Skip to main content
Wan 3.0

wan3.0-video Query Task Result

Query the status and result of a wan3.0-video video generation task.

GET
/tasks/{task_id}
Query task result
curl -X GET 'https://dashscope-intl.aliyuncs.com/api/v1/tasks/{task_id}' \
    --header "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "request_id": "78c9b768-0285-996c-b682-xxxxxx",
  "output": {
    "task_id": "17ed7e50-00cf-4509-aea1-xxxxxx",
    "task_status": "SUCCEEDED",
    "submit_time": "2026-08-06 10:01:35.452",
    "scheduled_time": "2026-08-06 10:01:35.507",
    "end_time": "2026-08-06 10:13:33.838",
    "orig_prompt": "A golden retriever running on a sunny beach, waves crashing in the background, cinematic lighting",
    "video_url": "https://dashscope-result-sg.oss-ap-southeast-1.aliyuncs.com/xxx/video.mp4"
  },
  "usage": {
    "video_count": 1,
    "duration": 5,
    "input_video_duration": 0,
    "output_video_duration": 5,
    "fps": 30,
    "SR": 720,
    "ratio": "16:9"
  }
}

Authorizations

string
header
required

QwenCloud API Key. See Get an API Key.

Path Parameters

string
required

The task ID returned when you submitted the task.

Response

200-application/json
string

Unique request identifier for tracing and troubleshooting.

78c9b768-0285-996c-b682-xxxxxx
object
object

Usage statistics. Only counted for successful results.